Subject: LUKS password prompt invisible, prompts twice

From: [email-masked]
Date: Thu, 26 Oct 2023 20:44:24 +0200 (CEST)

I can reproduce this on kernels 6.1.58, 6.5.7. Rolling back to a generation with kernel 6.1.57 fixes it, though, this is a correlation and I do not know if the kernel necessarily is what caused it.

As far as I know, the double prompt is expected behaviour (65002 seems to have a fix for that), as /boot is encrypted. What happens for me is that my custom GRUB background seems to cover the Linux framebuffer until I enter my password. After entering my LUKS password, everything works fine and I see output from Shepherd and Xorg starts as expected.

Hardware: Lenovo Thinkpad T460s